<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Jewel_Blog
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="hfeed site">
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'jewel-blog' ); ?></a>

	<?php 
		if( is_dynamic_sidebar('topheader') ){
			dynamic_sidebar('topheader');
		}
	?>
	<header <?php header_class(); ?>>
		
		<div class="container">
			<div class="row">

				<div class="col-xs-12 col-sm-12 text-center">
			          <div class="site-branding">		          		            
			                <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
			                  <img src="<?php echo THEME_ROOT . '/images/jewelblog.png'; ?>" alt="logo"/>
			                </a>
			          </div>
				</div>

				<div class="col-xs-12 col-sm-9 col-xs-9">
					<div class="row middle-sm">						
						<nav id="site-navigation" class="main-navigation" role="navigation">
							<h1 class="screen-reader-text">
								<?php esc_html_e( 'Main Navigation', 'jewel-blog' ); ?>
							</h1>
							<div class="navicon closed"><i class="fa fa-navicon"></i></div>
							<?php wp_nav_menu( array( 'theme_location' => 'primary', 'depth' => 3 ) ); ?>
						</nav><!-- #site-navigation -->


			            <div class="col-sm-6 col-lg-2">
			              <div class="social">
			                <?php
			                if ( has_nav_menu( 'social' ) ) {
			                  wp_nav_menu(
			                    array(
			                      'theme_location' => 'social',
			                      'fallback_cb' => false
			                    )
			                  );
			                } ?>
			              </div>
			            </div>
					</div>
				</div>

				<div class=" col-xs-12 col-sm-3">
					<?php get_search_form(); ?>
				</div>

			</div>
		</div>		
	</header><!-- #masthead -->
	

	<div id="main-content" class="site-content">
		<div class="container">
