<?php
/**
 * Custom functions that act independently of the theme templates.
 *
 * Eventually, some of the functionality here could be replaced by core features.
 *
 * @package Jewel_Blog
 */

/**
 * Adds custom classes to the array of body classes.
 *
 * @param array $classes Classes for the body element.
 * @return array
 */
function jeweltheme_body_classes( $classes ) {
	// Adds a class of group-blog to blogs with more than 1 published author.
	if ( is_multi_author() ) {
		$classes[] = 'group-blog';
	}

	return $classes;
}
add_filter( 'body_class', 'jeweltheme_body_classes' );



function get_header_classes( $class = '' ) {
  $classes = array();

  $classes[] = 'header';

  $classes = array_map( 'esc_attr', $classes );

  $classes = apply_filters( 'header_class', $classes, $class );

  return array_unique( $classes );
}

/**
 * Print header classes
 * @param string $classes
 */
function header_class( $classes = '' ) {
  echo 'class="' . join(' ', get_header_classes($classes)) . '"';
}