<?php
function jewelblog_google_fonts_url() {
    $font_url = '';   
    if ( 'off' !== _x( 'on', 'Google font: on or off', 'jewel-blog' ) ) {
        $font_url = add_query_arg( 'family', urlencode( 'Lato:300,400,700|Open Sans:300,400|Playfair Display:300,400,700' ), "//fonts.googleapis.com/css" );
    }
    return $font_url;
}


// Loads External Styles and Scripts
function jeweltheme_blog_scripts(){
	wp_enqueue_style( 'jewelblog-google-fonts', jewelblog_google_fonts_url() );
	wp_enqueue_style( 'font-awesome', JEWEL_BLOG_CSS . 'font-awesome.min.css' );
	wp_enqueue_style( 'bootstrap', JEWEL_BLOG_CSS . 'bootstrap.min.css' );
	wp_enqueue_style( 'jewelblog-style', THEME_ROOT . '/style.css' );

	wp_enqueue_script( 'html5shiv', JEWEL_BLOG_JS . 'html5shiv.js', array('jquery') );
	wp_enqueue_script( 'REM-unit-polyfill', JEWEL_BLOG_JS . 'rem.min.js', false, false, false );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action('wp_enqueue_scripts', 'jeweltheme_blog_scripts');

// Continue Button Link
function jeweltheme_add_excerpt_wrapper($link, $text){
	$content = '<div class="continue_btn">' . $link . '</div>';
	return $content;
}
add_action( 'the_content_more_link', 'jeweltheme_add_excerpt_wrapper', 10, 2 );
